org.apache.poi.hpsf

## Class Filetime

- java.lang.Object
- - org.apache.poi.hpsf.Filetime

-     @Internal
      public class Filetime
      extends java.lang.Object

  The Windows FILETIME structure holds a date and time associated with a file. The structure identifies a 64-bit integer specifying the number of 100-nanosecond intervals which have passed since January 1, 1601, Coordinated Universal Time (UTC).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Filetime()`
    `Filetime(java.util.Date date)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `dateToFileTime(java.util.Date date)` Converts a `Date` into a filetime.
    `static java.util.Date` | `filetimeToDate(long filetime)` Converts a Windows FILETIME (in UTC) into a `Date` (in UTC).
    `java.util.Date` | `getJavaValue()`
    `static boolean` | `isUndefined(java.util.Date date)` Return `true` if the date is undefined
    `void` | `read(LittleEndianByteArrayInputStream lei)`
    `byte[]` | `toByteArray()`
    `int` | `write(java.io.OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Filetime

          public Filetime()

    - #### Filetime

          public Filetime(java.util.Date date)

  - ### Method Detail

    - #### read

          public void read(LittleEndianByteArrayInputStream lei)

    - #### toByteArray

          public byte[] toByteArray()

    - #### write

          public int write(java.io.OutputStream out)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getJavaValue

          public java.util.Date getJavaValue()

    - #### filetimeToDate

          public static java.util.Date filetimeToDate(long filetime)

      Converts a Windows FILETIME (in UTC) into a `Date` (in UTC).
      Parameters:
        `filetime` - The filetime to convert.
      Returns:
        The Windows FILETIME as a `Date`.

    - #### dateToFileTime

          public static long dateToFileTime(java.util.Date date)

      Converts a `Date` into a filetime.
      Parameters:
        `date` - The date to be converted
      Returns:
        The filetime
      See Also:
        `filetimeToDate(long)`

    - #### isUndefined

          public static boolean isUndefined(java.util.Date date)

      Return `true` if the date is undefined
      Parameters:
        `date` - the date
      Returns:
        `true` if the date is undefined

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.